Bug 34839

Summary: [Qt] Evaluate results of frame loader callbacks in Qt DRT
Product: WebKit Reporter: Diego Gonzalez <diegohcg>
Component: Tools / TestsAssignee: QtWebKit Unassigned <webkit-qt-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, jesus, kent.hansen, ossy, robert
Priority: P2 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 34702    
Bug Blocks:    
Attachments:
Description Flags
Patch none

Description Diego Gonzalez 2010-02-11 05:21:08 PST
Investigate the possible reasons off differences between Qt FrameLoaderClient
and expected results for the following LayoutTests:

http/tests/security/mixedContent/about-blank-iframe-in-main-frame.html
http/tests/security/mixedContent/data-url-iframe-in-main-frame.html
http/tests/security/mixedContent/insecure-css-in-main-frame.html
http/tests/security/mixedContent/insecure-iframe-in-main-frame.html
http/tests/security/mixedContent/insecure-image-in-main-frame.html
http/tests/security/mixedContent/redirect-http-to-https-iframe-in-main-frame.html
http/tests/security/mixedContent/redirect-https-to-http-iframe-in-main-frame.html
Comment 1 Robert Hogan 2010-06-20 11:57:11 PDT
Created attachment 59205 [details]
Patch
Comment 2 Csaba Osztrogon√°c 2010-06-21 01:09:42 PDT
(In reply to comment #1)
> Created an attachment (id=59205) [details]
> Patch

LGTM. I tested on the bot, and they pass without any regression.
Comment 3 WebKit Commit Bot 2010-06-29 12:38:44 PDT
Comment on attachment 59205 [details]
Patch

Clearing flags on attachment: 59205

Committed r62141: <http://trac.webkit.org/changeset/62141>
Comment 4 WebKit Commit Bot 2010-06-29 12:38:49 PDT
All reviewed patches have been landed.  Closing bug.